- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::SigmaMnHeader Class Reference

Header of a Sigma Makernote. More...

`#include <makernote2.hpp>`

Inheritance diagram for Exiv2::SigmaMnHeader:

[legend]
Collaboration diagram for Exiv2::SigmaMnHeader:

[legend]
List of all members.

## Public Member Functions
Creators
| SigmaMnHeader ()
| Default constructor.
virtual | ~SigmaMnHeader ()
| Virtual destructor.
Manipulators
virtual bool | read (const byte *pData, uint32_t size, ByteOrder byteOrder)
| Read the header from a data buffer, return true if ok.
Accessors
virtual uint32_t | size () const
| Return the size of the header (in bytes).
virtual uint32_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).

## Detailed Description

Header of a Sigma Makernote.

The documentation for this class was generated from the following files:

- makernote2.hpp
- makernote2.cpp